Public Class CallStress
    Dim intDone As Integer
    Dim strPageName As String
    Dim StartTime As DateTime
    Dim EndTime As DateTime
    Dim intError As Integer
    Dim Pause As String
    Const ServiceServer As String = ""

    Private Sub btnCallStress_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCallStress.Click
        Dim intCount As Integer = CInt(Me.txtCalls.Text)
        Dim calls(intCount) As Threading.Thread

        Me.btnCalc.Visible = False
        Me.lbWaitingTime.Text = ""
        intDone = 0
        intError = 0

        StartTime = DateTime.Now
        If Me.rdbAsync.Checked = True Then
            strPageName = "AsyncPage.aspx"
        End If
        If Me.rdbAsync.Checked = False Then
            strPageName = "SyncPage.aspx"
        End If
        Pause = Me.lstWaitTime.Text
        If Pause = "" Then
            Pause = "1"
        End If

        For ing As Integer = 1 To intCount
            calls(ing) = New Threading.Thread(AddressOf CallPage)
            calls(ing).Start()
        Next
        Me.btnCalc.Visible = True

    End Sub

    Sub CallPage()
        Try
            Dim reqStress As System.Net.HttpWebRequest = _
                            System.Net.WebRequest.Create("http://" & ServiceServer & "/StressSite/" & strPageName & "?WaitTime=" & Pause)
            reqStress.GetResponse()
            EndTime = Now
        Catch
            intError += 1
        Finally
            intDone += 1
        End Try

    End Sub

    Private Sub btnCalc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalc.Click
        Me.lbWaitingTime.Text = "Calls completed: " & intDone.ToString & ", Time: " & (EndTime - StartTime).ToString & ", Errors: " & intError.ToString
    End Sub
End Class

