
Partial Class ASyncPage
    Inherits System.Web.UI.Page
    Dim strWait As String

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim Begin As BeginEventHandler
        Dim Endv As EndEventHandler

        If Me.Request.QueryString("WaitTime") IsNot Nothing Then
            strWait = Me.Request.QueryString("WaitTime").ToString
        Else
            strWait = "1"
        End If

        Begin = New BeginEventHandler(AddressOf CallWebService)
        Endv = New EndEventHandler(AddressOf ProcessWebServiceResults)
        Me.AddOnPreRenderCompleteAsync(Begin, Endv)

    End Sub

    Function CallWebService(ByVal sender As Object, _
             ByVal e As System.EventArgs, _
             ByVal cb As System.AsyncCallback, _
             ByVal extraData As Object) As System.IAsyncResult
        Dim ws As New Stressed.Stressed
        Dim iasResult As IAsyncResult

        Select Case strWait
            Case "1"
                iasResult = ws.BeginWait1Second(cb, extraData)
            Case "2"
                iasResult = ws.BeginWait2Second(cb, extraData)
            Case "3"
                iasResult = ws.BeginWait3Second(cb, extraData)
            Case "4"
                iasResult = ws.BeginWait4Second(cb, extraData)
            Case "5"
                iasResult = ws.BeginWait5Second(cb, extraData)
        End Select

        Return iasResult
    End Function

    Sub ProcessWebServiceResults(ByVal ar As IAsyncResult)
        Dim strResult As String
        Dim ws As New Stressed.Stressed

        Select Case strWait
            Case "1"
                strResult = ws.EndWait1Second(ar)
            Case "2"
                strResult = ws.EndWait2Second(ar)
            Case "3"
                strResult = ws.EndWait3Second(ar)
            Case "4"
                strResult = ws.EndWait4Second(ar)
            Case "5"
                strResult = ws.EndWait5Second(ar)
        End Select
        Me.txtResult.Text = strResult
    End Sub

End Class
